Page MenuHomePhabricator

Merge projects javascript and MediaWiki-JavaScript
Closed, ResolvedPublic

Description

Maybe it is more interesting to have a single JavaScript project instead of having both JavaScript and MediaWiki-JavaScript ?

Event Timeline

He7d3r created this task.Nov 29 2014, 6:18 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r changed Security from none to None.
He7d3r added a subscriber: He7d3r.
TheDJ added a subscriber: TheDJ.Nov 29 2014, 7:17 PM

Support, esp, since we have a RL project as well. While we are at that, add one for css and/or less ?

Support, esp, since we have a RL project as well. While we are at that, add one for css and/or less ?

Just to be clear, this proposal would be:

  • merge javascript into MediaWiki-JavaScript
  • create MediaWiki-CSS

I wonder whether we're being too specific here: MediaWiki-CSS and MediaWiki-JavaScript could both be merged into MediaWiki-ResourceLoader, kind of.

And I wonder whether we want to be less specific: searching for tasks related to JavaScript or CSS, related or unrelated to MediaWiki, seems like a valid use-case. We could just add a "css" tag/project.

  • merge javascript into MediaWiki-JavaScript

The other way around, so that it can be associated to JavaScript code in extensions.

Qgil added a subscriber: Qgil.Nov 29 2014, 9:50 PM

I like the idea of having tags for programming languages, to be used especially in combination with the Needs Volunteer priority and/or the Easy tag, and ideally also with a landing page in mediawiki.org explaining which opportunities are there for developers familiar with such language. It would be a good tool for Annoying Little Bugs, Possible Projects, and our outreach efforts in general.

I think the problem here is MediaWiki-JavaScript, because there is no such component in MediaWiki core with that name. If we want to identify MediaWiki core tasks related with JavaScript, we could use tags accordingly.

  • merge javascript into MediaWiki-JavaScript

The other way around, so that it can be associated to JavaScript code in extensions.

Ah, okay. This sounds reasonable.

In T76269#794504, @Qgil wrote:

I like the idea of having tags for programming languages, to be used especially in combination with the Needs Volunteer priority and/or the Easy tag, and ideally also with a landing page in mediawiki.org explaining which opportunities are there for developers familiar with such language. It would be a good tool for Annoying Little Bugs, Possible Projects, and our outreach efforts in general.

Yep. Though the "PHP" tag quickly gets a bit tricky there. It's definitely worth filing a separate task about the idea of tags by programming language.

So I guess here we would merge MediaWiki-JavaScript tasks into JavaScript tasks and/or MediaWiki-ResourceLoader tasks? And then we'd create CSS and/or LESS tags? (Does Phabricator support bulk actions?)

I support merging MediaWiki-JavaScript into JavaScript.

Most of the tasks in MediaWiki-JavaScript might as well be in MediaWiki-Interface instead. For the few that might not, using JavaScript + MediaWiki-General (or whatever other project fits the closest) seems sensible to me.

(Off-topic: I wonder, is it possible to mention a project without adding it to the task?)

Qgil triaged this task as Medium priority.Dec 1 2014, 11:54 AM
Aklapper claimed this task.Dec 3 2014, 4:30 PM
Aklapper lowered the priority of this task from Medium to Low.

I support merging MediaWiki-JavaScript into JavaScript.
Most of the tasks in MediaWiki-JavaScript might as well be in MediaWiki-Interface instead. For the few that might not, using JavaScript + MediaWiki-General (or whatever other project fits the closest) seems sensible to me.
(Off-topic: I wonder, is it possible to mention a project without adding it to the task?)

I disagree with merging the tasks in MediaWiki-JavaScript into JavaScript. Things like "upgrade jQuery" or "shim for ES6" don't belong in MediaWiki-Interface, and I really don't want to have to watch MediaWiki-General just to be able to see such tasks.

Also, the "tag" projects are all extremely ugly and not really particularly helpful.

I disagree with merging the tasks in MediaWiki-JavaScript into JavaScript. Things like "upgrade jQuery" or "shim for ES6" don't belong in MediaWiki-Interface, and I really don't want to have to watch MediaWiki-General just to be able to see such tasks.

They belong in MediaWiki-Libraries or something, or
MediaWiki-Boring-Backend-Code. I think we are actually missing a
component like that. (Out of existing projects, the ResourceLoader one
fits these well.)

I disagree with merging the tasks in MediaWiki-JavaScript into JavaScript. Things like "upgrade jQuery" or "shim for ES6" don't belong in MediaWiki-Interface, and I really don't want to have to watch MediaWiki-General just to be able to see such tasks.

They belong in MediaWiki-Libraries or something, or
MediaWiki-Boring-Backend-Code. I think we are actually missing a
component like that.

Well, there's the Librarization project, but that's about converting MW-core into a series of libraries and services, so that doesn't quite fit.

(Out of existing projects, the ResourceLoader one fits these well.)

I disagree; I see MediaWiki-ResourceLoader as being about issues with ResourceLoader the library and the integration of RL into MW, and not about its use. Certainly, "We should use RL to ship X library to users" doesn't really have anything to do with RL…

MediaWiki-Resources?

Maybe #MediaWiki-FrontEndLibraries?

MediaWiki-Resources is probably the most accurate.

But I'd like to propose abandoning this unscalable catch-all for "Frontend code". Frontend is part of our regular stack now (just like SQL, PHP, and HTML). It can be part of any project.

There's nothing wrong with a global tag JavaScript (maybe rename to "Frontend", or add a "CSS" tag).

But "MediaWiki-Resources" (or "MediaWiki-Frontend") isn't useful. Just like "-PHP-files", "-Special-pages", "-Skins", or "-Extensions" wouldn't be useful categories, either. The SpecialPage system itself, Watchlist, User login, Skin system, Vector skin, ResourceLoader, etc. Those seem more useful categories.

And occasionally you might need the attention of experts in databases, caching, API, or javascript. At which point you could add such a tag and/or CC certain people.

JavaScript code for Watchlist belongs to MediaWiki-Watchlist. Just like issues with its Special page, API module or database table. JavaScript for Special:UserLogin MediaWiki-User-login-and-signup. API skin css part of MediaWiki-API. None of those would benefit from a "MediaWiki-Frontend" tag more than a generic JavaScript tag would.

Things that don't have notable projects (yet) could get similar treatment as we would for PHP code: MediaWiki-General, + JavaScript.

OK, so we're killing MediaWiki-JavaScript. When can I start re-triaging? :)

I'm going to be bold then and do it tomorrow.

Matmarex killed T4114 (thank you!).
Left are 105 open tickets under MediaWiki-JavaScript.

matmarex added a comment.EditedDec 22 2014, 9:33 PM

Yeah, I decided to give them a better look before mass-moving. I'll finish it this week year.

Aklapper reassigned this task from Aklapper to matmarex.Dec 22 2014, 9:36 PM
Aklapper added a subscriber: Aklapper.

[Changing assignee to reflect reality; but feel free to assign back if you don't have the time/energy/patience/interest/etc]

52 left after:

  • Closing some old long-fixed bugs
  • Triaging newly filed reports (filed after this task)
  • Triaging reports that obviously belonged to #MediaWiki-Interface or #MediaWiki-Internationalization

All done! Please close MediaWiki-JavaScript and put some instructions in the description, along the lines of "New reports should probably be filed under #MediaWiki-General-or-Unknown or possibly #MediaWiki-Interface, with the #JavaScript tag.".

Aklapper closed this task as Resolved.Jan 1 2015, 10:31 PM
Aklapper mentioned this in MediaWiki-JavaScript.

Thank you so much, matmarex! Archived the MediaWiki-Javascript project: https://phabricator.wikimedia.org/project/view/199/